
###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.4 $


__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import default__class_init__
import Acquisition
import AccessControl.Role
import Products
import OFS.Folder
import base_item


news_message_indicator_add_redirect = HTMLFile('news_message_indicator_add_redirect', globals())
manage_add_news_message_indicator_form = HTMLFile('news_message_indicator_add', globals())


def manage_add_news_message_indicator(self, id, status, REQUEST=None):
    "Add an instance of the NewsMessageIndicator class"

    self._setObject(id, news_message_indicator(id, status))

    if REQUEST is not None:

        return self.manage_main(self, REQUEST)


class news_message_indicator(
	Products.ZCatalog.CatalogAwareness.CatalogAware,
	Persistent,
	Acquisition.Implicit,
	AccessControl.Role.RoleManager,
	base_item.base_item
	):
	"Documentation string"

	meta_type = 'NewsMessageIndicator'
	icon = 'misc_/GUM/Folder_icon.gif'

	_properties = (
		{'id':'status', 'type':'int'},
		)

	__ac_permissions__ = (
		('View management screens',
		 ('manage_tabs', 'manage_main')),
		('Change Permissions',
		 ('manage_access',)),
		('View Messages',
		 ('',)),
		)

	index_html = HTMLFile('news_message_indicator_index', globals())

	def __init__(self, id, status):
		"Initialize the class instance"

		self.id = id
		self.status = status

		self.index_object()


default__class_init__(news_message_indicator)

