import rfc822_message_parse
import rfc822_message
import rfc822_attachment
#import rfc822_message_address

def store_message(container, message):

	message_id = container.get_unique_id()

	rfc822_message.manage_add_rfc822_message(container, message_id,
											 message.to, message.msgfrom,
											 message.reply_to, message.cc,
											 message.bcc, message.newsgroups,
											 message.body)

	message_reference = container[message_id]

	for attachment in message.attachments:

		rfc822_attachment.manage_add_rfc822_attachment(
			message_reference, container.get_unique_id(),
			data = attachment.data, headers = attachment.headers,
			content_type = attachment.content_type,
			filename = attachment.filename)
													   


def store_unparsed_message(container, unparsed_rfc822_message):
	"""A method that parses the RFC822 message, adds
	an rfc822_message object to the container, and
	possibly address fields.  It may also add
	attachments."""

	message = rfc822_message_parse.rfc822_message_parse(unparsed_rfc822_message)

	store_message(container, message)

